csspec to produce count spectrum
Status: New Start date:  

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The spectrum fits file created by csspec now contains energy, flux and TS for the given source.

It would be nice to also have counts for diagnostic purpose.

Counts should probably be taken from the model npred.

Note that obsutils.py could add counts as well to the final spectrum object.

See also #1152 for quick look diagnostic plots.

History

#1 - 07/02/2015 04:21 PM - Bregeon Johan

there is a plot_counts(obs) function in ctools/examples/make_survey.py

that seem to do what I need... but it seems to be broken right now.

#2 - 07/02/2015 04:48 PM - Bregeon Johan

- File plot_counts.png added

I could have plot_counts(obs) function in ctools/examples/make_survey.py to work,

and it looks ok.

I still have a warning to get rid of before committing.

 

#3 - 07/03/2015 11:50 AM - Bregeon Johan

Fixing plot_counts to work within make_survey is actually more tricky than I thought, because plot_counts was not designed to really correctly handle

multiple observation (one count spectrum is drawn for each observation where you would like to sum them by source).

plot_counts shall be improved within make_survey or moved out of it in a simpler example with just one observation.

Meanwhile, here are just the 3 lines to be fixed to have plot_counts not to crash:

ebounds.set_log(10, emin, emax)

(...)

off   = atom.dir().dir().dist_deg(crab)

(...)

off   = atom.dir().dir().dist_deg(crab)
#4 - 07/03/2015 11:58 AM - Bregeon Johan

Thinking about it, this plot_counts function shall probably be divided into to two functions, one to extract the counts and one to plot them... and that

shall probably be a separate issue defined as preliminary work to this one.

#5 - 11/17/2015 03:04 PM - Mayer Michael

This might be implemented already by csspec, where npred computed are used and written into the resulting FITS file. However, this does not yet

work if we are in binned/stacked mode.

#6 - 06/21/2016 09:51 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#7 - 03/03/2017 10:33 AM - Knödlseder Jürgen

- Target version deleted (1.2.0)

- Start date deleted (07/02/2015)

Files

plot_counts.png 91.3 KB 07/02/2015 Bregeon Johan
